Skip to main content
POST
/
v5
/
reports
/
cashFlowStatement
Cash Flow Statement (Indirect)
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "beginDate": "2023-01-01",
  "endDate": "2023-12-31",
  "exportType": "HTML",
  "grouping": "DAILY",
  "accountingMethod": "CASH",
  "emails": [
    "<string>"
  ],
  "ccEmails": [
    "<string>"
  ],
  "bccEmails": [
    "<string>"
  ],
  "date": "2023-01-01"
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "meta": {
    "title": "<string>",
    "businesses": [
      "<string>"
    ],
    "generatedOn": "2023-11-07T05:31:56Z",
    "generatedBy": "<string>",
    "footerLine": "<string>",
    "params": {
      "beginDate": "2023-01-01",
      "endDate": "2023-12-31",
      "exportType": "HTML",
      "grouping": "DAILY",
      "accountingMethod": "CASH",
      "emails": [
        "<string>"
      ],
      "ccEmails": [
        "<string>"
      ],
      "bccEmails": [
        "<string>"
      ],
      "date": "2023-01-01"
    }
  },
  "html": "<string>",
  "json": {
    "data": [
      {
        "name": "<string>",
        "period": {
          "beginDate": "2023-11-07T05:31:56Z",
          "endDate": "2023-11-07T05:31:56Z"
        },
        "netCashChange": 123,
        "beginCashBalance": 123,
        "endCashBalance": 123,
        "operatingActivities": {
          "name": "<string>",
          "total": 123,
          "children": [
            {
              "accountNo": "<string>",
              "name": "<string>",
              "accountId": 123,
              "total": 123
            }
          ]
        },
        "investingActivities": {
          "name": "<string>",
          "total": 123,
          "children": [
            {
              "accountNo": "<string>",
              "name": "<string>",
              "accountId": 123,
              "total": 123
            }
          ]
        },
        "financingActivities": {
          "name": "<string>",
          "total": 123,
          "children": [
            {
              "accountNo": "<string>",
              "name": "<string>",
              "accountId": 123,
              "total": 123
            }
          ]
        }
      }
    ]
  },
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
beginDate
string<date>
required

Begin date for the report

Example:

"2023-01-01"

endDate
string<date>
required

End date for the report

Example:

"2023-12-31"

exportType
enum<string>
required

Export type for the report

Available options:
HTML,
PDF,
JSON,
XLSX
grouping
enum<string>

Grouping for the report data, defaults to no grouping

Available options:
DAILY,
MONTHLY,
QUARTERLY,
YEARLY
accountingMethod
enum<string>

Override of the user's accountingMethod

Available options:
CASH,
ACCRUAL
emails
string[]

List of emails to which to send the report. Only valid for PDF and XLSX exportTypes.

List of emails to which to send the report. Only valid for PDF and XLSX exportTypes.

ccEmails
string[]

List of emails to be CC'ed on the report email. Only valid for PDF and XLSX exportTypes.

List of emails to be CC'ed on the report email. Only valid for PDF and XLSX exportTypes.

bccEmails
string[]

List of emails to be BCC'ed on the report email. Only valid for PDF and XLSX exportTypes.

List of emails to be BCC'ed on the report email. Only valid for PDF and XLSX exportTypes.

date
string<date>

Date the report was generated on (displayed in the footer of the PDF report)

Example:

"2023-01-01"

Response

200 - application/json

Successful operation

result
enum<string>

Result of the action performed

Available options:
SUCCESS,
FAILURE_VALIDATION_ERROR,
FAILURE_NO_DATA,
FAILURE_UNKNOWN_ERROR
errors
object

Error object containing details errors incurred, if any

meta
object

Metadata associated with the report generated

html
string

HTML of the report

json
object
url
string

Url at which the downloadable report is located